/*style dokuentu*/
@import url('https://fonts.googleapis.com/css2?family=Ranchers&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');





/*kolory - zmienne*/

:root{
--color-akcent: #1A4FC4;
--color-akcent2: #AACA37;
--color-neutral1: #886F3F;
--color-white: #ffffff;
--color-black: #000000;
}




/*Selektory globalne*/
*{
    box-sizing: border-box; /*zeby padding nie zwiekszal box*/
    transition: 300ms;
}
html{
    scroll-behavior: smooth;
    font-family: "Ranchers", sans-serif;
}
body{}
a{
    text-decoration: none;
    font-family: "Montserrat", sans-serif;
    font-weight: 700;
}

p{
    font-size: 16px;
    line-height: 1.5;
    font-weight: 300;
    font-family: "Montserrat", sans-serif;
}
b{
    font-weight: 650;
}
h1{
    font-size: 160px;
    font-weight: 600;
}
h2{
    font-size: 70px;
    font-weight: 500;
}
h3{
    font-size: 40px;
    font-weight: 500;
    line-height: 1.2;
}
h4{
    font-size: 25px;
    font-weight: 600;
    font-family: "Montserrat", sans-serif;
    line-height: 1.2;
}
h5{
    
}
h6{
    font-family: "Montserrat", sans-serif;
    font-size: 12px;
    font-weight: 300;
}

img{
    max-width: 100%;
}



/*Nawigacja*/
nav{
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    width: 100%;
    z-index: 3;
}
nav ol{
    
    max-width: 1420px;
    width: 100%;
    display: flex;
    gap: 1vw;
    justify-content: center;
}
nav ol  li{
    flex: 0; /*rosciaganie*/
}
nav ol li a{
    padding: 10px 5vw;
    display: block;
    text-align: center;
    justify-content: center;
    color: var(--color-black);
    background-color: var(--color-white);
    border-color: var(--color-black);
    border: 2px solid;
}
nav ol li a:hover{
    background-color: var(--color-akcent2);
    color: var(--color-white);
    border-radius: 10px;
    transform: scale(1.07);
}

nav ol li a:active{
    transform: scale(0.95)
}

/*Wszystkie sekcje*/
section{
    padding: 20px;
    min-height: 80vh;
    display: flex;
    align-items: center;
    justify-content: center;
    scroll-margin-top: 56px; /*zeby pasek nie najezdzal na tresc*/
    
}

.zawartosc{
    max-width: 1200px;
    width: 100%;
}



/*Poszczególne seekcjee*/
#sekcja1{
    
}
#sekcja1 .zawartosc{ 
    background: url(../img/tlo1.png) no-repeat center center;
    background-size: cover; 
    background-color: var(--color-akcent); 
    min-height: 70vh; 
    display: flex; 
    align-items: flex-end; 
    justify-content: right; 
    margin-top: 60px;
    border-radius: 30px 30px 0px 30px; 
    overflow: hidden;
     
} 
 /*
#sekcja1::before { 
  content: ""; 
  position: absolute; 
  inset: 0; 
  background: url(../img/tlo1.png) no-repeat center center; 
  background-size: 110vh; 
  background-position: 55% 40%;
  z-index: 0;
}
*/
#sekcja1 h1{
    line-height: 0.7;
    color: var(--color-white);
    font-size: clamp(100px, 20vw, 160px);
    z-index: 1;
}

/*******************/







#sekcja2{
   
}
#sekcja2 .zawartosc{
     display: flex;
     gap: 2vh;
     flex-wrap: wrap; /*zawijanie do 2 rzedu - moment zawijanie elementy zalerzy od FLEX dla items*/
     justify-content: center;
     align-items: center;
}

#sekcja2 .zawartosc .awokado2{
    display: flex;
     align-items: center;
     justify-content: center;
}

#sekcja2 article{
      flex: 1 1 500px;
}

#sekcja2 article a{
    background-color: var(--color-akcent);
    padding: 10px 20px;
    color: var(--color-white);
    display: flex;
    margin-top: 10px;
    width: 40%;
    justify-content: center;
    text-align: center;
    border: 2px solid transparent;
}

#sekcja2 a:hover{
    background-color: var(--color-akcent);
    border-color: var(--color-akcent2);
    border: 2px solid var(--color-akcent2);
    border-radius: 10px;
    transform: scale(1.05);
}

#sekcja2 article h2{
    margin-top: 10px;
    color: var(--color-akcent);
    margin-bottom: 10px;
}
#sekcja2 article p{
    margin-top: 10px;
    color: var(--color-black);
}

#sekcja2 img{
    max-height: 60vh;
}

/********************/





#sekcja3{
    
}
#sekcja3 .zawartosc{
     background-color: var(--color-akcent);
     display: flex;
     flex-wrap: wrap-reverse;
     align-items: center;
     border-radius: 30px;
}

#sekcja3 article{
      flex: 1 1 300px;  
}

#sekcja3 .zawartosc .ar1{ 
    flex: 1;
}

#sekcja3 .zawartosc .lista3{ 
    padding: 3vh;
    flex: 2;
}

#sekcja3 article h2{
    margin-top: 10px;
    color: var(--color-white);
    margin-bottom: 10px;
}

#sekcja3 article ol{
    color: var(--color-akcent2);
    width: 80%;
}

.custom-list {
  list-style: none;
  counter-reset: item;
}
.custom-list li {
  counter-increment: item;
  position: relative;
  padding-left: 40px;
}
.custom-list li::before {
  content: counter(item, decimal-leading-zero);
  position: absolute;
  padding-left: 10px;
  left: 0;
  font-family: "Ranchers", sans-serif;
  font-weight: 700;
  font-size: 30px;
  top: 50%;
  transform: translateY(-50%);
  color: var(--color-white);
}

#sekcja3 article ol li{
     font-family: "Montserrat", sans-serif;
     color: var(--color-white);
     padding: 15px;
     padding-left: 55px;
     margin: 15px 0px;
     line-height: 1.3;
}

#sekcja3 article ol li:hover{
     background-color: var(--color-akcent2);
     color: var(--color-akcent);
     border-radius: 0px 20px 20px 20px;
     transform: scale(1.05);
}

#sekcja3 article .img1{
    max-height: 60vh;
    margin-left: -120px;
}





/********************/





#sekcja4{
    display: flex;
    flex-direction: column;
}
#sekcja4 .zawartosc{
    display: flex;
    gap: 1vw;
    flex-wrap: wrap; 
    justify-content: center;
    width: 100%;
    max-width: 1200px;
}
#sekcja4 article{
    flex: 0;
    text-align: center;
    background-color: var(--color-akcent);
    padding: 30px;
    flex: 1 1 300px; 
    transform: scale(1.02);
}

#sekcja4 article:hover{
    transform: scale(1.03);
}

#sekcja4 .zawartosc .jeden{
    border-radius: 20px 20px 20px 0px;
}
#sekcja4 .zawartosc .dwa{
    border-radius: 0px 20px 20px 20px;
}
#sekcja4 .zawartosc .trzy{
    border-radius: 20px 20px 0px 20px;
}

#sekcja4 article img{
    max-height: 15vh;
    margin-bottom: 20px;
}

#sekcja4  h2{
    color: var(--color-akcent);
    text-align: center;
    margin-top: 100px;
}
#sekcja4 article h3{
    color: var(--color-white);
}
#sekcja4 h4{
    color: var(--color-neutral1);
    margin: 15px;
}
#sekcja4 article p{
    margin-top: 10px;
    color: var(--color-white);
    
}
#sekcja4 article a{
    background-color: var(--color-akcent2);
    margin: 10px 0px ;
    padding: 10px 20px;
    color: var(--color-white);
    display: block;
    justify-content: center;
    align-items: center;
    width: 100%;
    border: 2px solid transparent;
}

#sekcja4 article a:hover{
    background-color: var(--color-akcent);
    border-color: var(--color-akcent2);
    border: 2px solid var(--color-akcent2);
    border-radius: 10px;
    transform: scale(1.07);
}
/********************/




#sekcja5 {
  position: relative;
  width: 100%;

  overflow: hidden;
}

#sekcja5 .zawartosc{
  position: relative;
  z-index: 2;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

#sekcja5 article{
    text-align: center;
    background-color: var(--color-akcent);
    max-width: 600px;
    padding: 30px;
    color: var(--color-white);
    border-radius: 0px 20px;
}

#sekcja5 article:hover{
    transform: scale(1.07);
}

#sekcja5 .zawartosc article h3{
  margin-bottom: 20px;
}
#sekcja5 .zawartosc article h3:hover{
  color: var(--color-akcent2);
}

.floating-object {
  position: absolute;
  width: 150px;
  left: -150px;
  top: var(--top, 20%);
  animation: float-1 8s ease-in-out infinite;
  animation-direction: alternate;
  animation-delay: var(--delay, 0s);
}

.floating-object2 {
  position: absolute;
  width: 150px;
  left: 2000px;
  top: 60px;
  top: var(--top, 20%);
  animation: float-2 15s ease-in-out infinite;
  animation-direction: alternate;
  animation-delay: var(--delay, 0s);
}

.floating-object3 {
  position: absolute;
  width: 150px;
  left: 2500px;
  top: var(--top, 20%);
  animation: float-3 16s ease-in-out infinite;
  animation-direction: alternate;
  animation-delay: var(--delay, 0s);
}

.floating-object4 {
  position: absolute;
  width: 150px;
  left: 1000px;
  top: var(--top, 20%);
  animation: float-4 10s ease-in-out infinite;
  animation-direction: alternate;
  animation-delay: var(--delay, 0s);
}


@keyframes float-1 {
  from{}
  to{
    transform: translate(200vh, 30vw) rotate(360deg);
  }
}
@keyframes float-2 {
  from{}
  to{
    transform: translate(-500vh, 40vw) rotate(260deg);
  }
}
@keyframes float-3 {
  from{}
  to{
    transform: translate(-1000vh, 100vw) rotate(320deg);
  }
}

@keyframes float-4 {
  from{}
  to{
    transform: translate(-200vh, -10vw) rotate(320deg);
  }
}







/********************/










#stopka{
    background-color: var(--color-akcent);
    min-height: 30vh;
    display: flex;
    flex-direction: column;
    gap: 50px;
    padding: 30px 0px;
}
#stopka .zawartosc{
    display: flex;
    gap: 2vh;
    flex-wrap: wrap; 
    justify-content: center;
    
    
}

#stopka .zawartosc .pierwszast{
    border-radius: 0px 30px;
    margin-top: 20px;
}
#stopka .zawartosc .drugast{
   background-color: var(--color-akcent);
}
#stopka .zawartosc .trzeciast{
    border-radius: 30px 0px;
    margin-top: 20px;
}

#stopka article{
    background-color: var(--color-white);
    padding: 20px 40px;
    min-width: 300px;
}

#stopka input{
    width: 100%;
    color: var(--color-akcent);
    padding: 5px;
    border: none;
    border-bottom: 1px solid var(--color-akcent2);
    font-size: 12px;
}

#stopka input:focus {
  outline: none;
  border-bottom-color: var(--color-akcent);
}


#stopka input:hover {
  
}

#stopka h3{
    color: var(--color-white);
    padding: 10px 0px;
    text-align: center;
    
}

#stopka .drugast h4{
    color: var(--color-akcent2);
    text-align: center;
}

#stopka h4{
    color: var(--color-akcent);
    margin-bottom: 10px;
}

#stopka p{
    color: var(--color-akcent);
    padding: 5px 0px;
}

#stopka p:hover{
    color: var(--color-akcent2);
}

#stopka h6{
    color: #5883de;
    max-width: 250px;
    text-align: center;
    line-height: 1.3;

}

#stopka b{
    font-weight: 700;
}

#stopka .trzeciast a{
    background-color: var(--color-akcent2);
    margin: 20px 0px ;
    padding: 10px 20px;
    color: var(--color-white);
    display: flex;
    justify-content: center;
    width: 50%;
    border: 2px solid transparent;
}

#stopka .trzeciast a:hover{
    background-color: var(--color-akcent);
    border-color: var(--color-akcent2);
    border: 2px solid var(--color-akcent2);
    border-radius: 10px;
    transform: scale(1.07);
}

#stopka .socials {
  display: flex;
  gap: 10px;
  margin-top: 20px;
  justify-content: center;
}

#stopka .social img {
  width: 70px;
  height: 70px;
}

#stopka .social:hover {
  transform: translateY(-4px) scale(1.05);
}

#stopka .social:active {
  transform: scale(0.95);
}








